com.salesforce.datacloud.jdbc.core

## Class DataCloudConnectionString

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.DataCloudConnectionString

    public class DataCloudConnectionString
    extends Object

### Field Summary

Fields
`static String` `CONNECTION_PROTOCOL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `acceptsUrl(String url)`
`String` `getDatabaseUrl()`
`String` `getLoginUrl()`
`static DataCloudConnectionString` `of(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_PROTOCOL

    public static final String CONNECTION_PROTOCOL

See Also:
  Constant Field Values

### Method Detail

#### of

    public static DataCloudConnectionString of(String url)
                                        throws SQLException

Throws:
  `SQLException`

#### acceptsUrl

    public static boolean acceptsUrl(String url)

#### getDatabaseUrl

    public String getDatabaseUrl()

#### getLoginUrl

    public String getLoginUrl()